{% extends "base.html" %}
{% block title %}
  Backoffice styleguide
{% endblock title %}
{% block content %}
  <h1>Styleguide</h1>
  <p>
    This page showcases our visual components. This way, we can develop them without
    having to care about the data. This page also serves as the single reference: For
    example, all tables should look like this one, and if variants are necessary, the
    rationale and implementation will be described on this page.
  </p>
  <h2>1 Links</h2>
  <p>
    This is a <a href="#">Link</a>.
  </p>
  <h2>2 Tables</h2>
  <p>
    See the MDN on
    <a href="https://developer.mozilla.org/en-US/docs/Learn/HTML/Tables/Basics">Tables basics</a>
    and
    <a href="https://developer.mozilla.org/en-US/docs/Learn/CSS/Building_blocks/Styling_tables">Styling Tables</a>.
  </p>
  <h3>2.1 Header for subsection</h3>
  <p>
    Note that tables probably should have a min-width style set to provide some basic
    support for mobile/small screen devices
  </p>
  <table class="table">
    <caption>
      A summary of the UK's most famous punk bands
    </caption>
    <thead>
      <tr>
        <th scope="col" class="orderable desc">Band</th>
        <th scope="col" class="orderable">Year formed</th>
        <th scope="col">No. of Albums</th>
        <th scope="col">Most famous song</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <th scope="row">Buzzcocks</th>
        <td>1976</td>
        <td>9</td>
        <td class="dot-green">Ever fallen in love (with someone you shouldn't've)</td>
      </tr>
      <tr>
        <th scope="row">The Clash</th>
        <td>1976</td>
        <td>6</td>
        <td class="dot-gray">London Calling</td>
      </tr>
      <tr>
        <th scope="row">The Damned</th>
        <td>1976</td>
        <td>10</td>
        <td class="dot-yellow">Smash it up</td>
      </tr>
      <tr>
        <td class="row-header">Sex Pistols</td>
        <td>1975</td>
        <td>1</td>
        <td>Anarchy in the UK</td>
      </tr>
      <tr>
        <th scope="row">Sham 69</th>
        <td>1976</td>
        <td>13</td>
        <td>If The Kids Are United</td>
      </tr>
      <tr>
        <th scope="row">Siouxsie and the Banshees</th>
        <td>1976</td>
        <td>11</td>
        <td>
          <ul>
            <li class="dot-green">List in table</li>
            <li>Li without dot</li>
            <li class="dot-gray">with</li>
            <li class="dot-yellow">dots</li>
          </ul>
        </td>
      </tr>
      <tr>
        <th scope="row">Stiff Little Fingers</th>
        <td>1977</td>
        <td>10</td>
        <td>Suspect Device</td>
      </tr>
      <tr>
        <th scope="row">The Stranglers</th>
        <td>1974</td>
        <td>17</td>
        <td>No More Heroes</td>
      </tr>
    </tbody>
    <tfoot>
      <tr>
        <th scope="row" colspan="2">Total albums</th>
        <td colspan="2">77</td>
      </tr>
    </tfoot>
  </table>
  <h3>2.2 A table without data</h3>
  <table class="table">
    <caption>
      A summary of the UK's best punk bands
    </caption>
    <thead>
      <tr>
        <th scope="col" class="orderable desc">Band</th>
        <th scope="col" class="orderable">Year formed</th>
        <th scope="col">No. of Albums</th>
        <th scope="col">Most famous song</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td class="empty-table-message" colspan="4">Punk has been dead for a while. Get over it.</td>
      </tr>
    </tbody>
  </table>
  <h3>2.3 A table with a button</h3>
  Use this when you need to have a button next to your table.
  <div class="table-with-button">
    <div class="table-container">
      <table class="table">
        <caption>
          A summary of the UK's best punk bands
        </caption>
        <thead>
          <tr>
            <th scope="col" class="orderable desc">Band</th>
            <th scope="col" class="orderable">Year formed</th>
            <th scope="col">No. of Albums</th>
            <th scope="col">Most famous song</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td class="empty-table-message" colspan="4">Punk has been dead for a while. Get over it.</td>
          </tr>
        </tbody>
      </table>
    </div>
    <div class="button-container">
      <form action="#" method="get">
        <input type="submit" class="button" value="Submit" />
        <label class="button-label">Don't click on this button</label>
      </form>
    </div>
  </div>
  The following is recognized to be compatible with django-tables2:
  <ul>
    <li>Instead of &lt;th scope="row"&gt;, &lt;td class="row-header"&gt; can be used</li>
  </ul>
  <h2>4 Dialog</h2>
  This is currently used in the application reject button and needs an example here
  <h2>3 Switches</h2>
  <div class="switch">
    <input type="checkbox" id="styleguide-example-switch">
    <label for="styleguide-example-switch">Switch me</label>
  </div>
{% endblock content %}
